Bug 2017 - /usr/bin/hostid is missing
/usr/bin/hostid is missing
Product: Red Hat Linux
Classification: Retired
Component: util-linux (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Michael K. Johnson
Depends On:
  Show dependency treegraph
Reported: 1999-04-05 18:33 EDT by Dan Hollis
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-04-06 12:19:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dan Hollis 1999-04-05 18:33:32 EDT
/usr/bin/hostid is missing from redhat 5.2, from
util-linux-2.8-11 (along with some other binaries I might
hostid was last seen in util-linux-2.7-15.

Some commercial packages use hostid to determine licensing.
The lack of hostid causes these commercial packages to fail.
Comment 1 David Lawrence 1999-04-06 11:10:59 EDT
This has been verified on a 5.2 box.
Comment 2 Preston Brown 1999-04-06 12:19:59 EDT
hostid is not deterministic on machines without unique hostids (suns
do, PCs don't at the moment) so it was removed.

Note You need to log in before you can comment on or make changes to this bug.